<template>
  <div class="search">
    <div class="search-input">
      <custom-search2 v-on:search="Search" v-on:focus="Focus"></custom-search2>
    </div>
    <div class="search-content">
      <transition name="fade-transform" mode="out-in">
        <router-view :key="key"/>
      </transition>
    </div>
  </div>
</template>

<script>
import CustomSearch2 from "@/components/CustomSearch2";

export default {
  name: "searchIndex",
  components: {CustomSearch2},
  methods: {
    Search: function (searchType, searchName) {
      this.$router.push({
        name: 'search-results',
        query: {
          searchType: searchType,
          searchName: searchName
        }
      });

    },
    Focus: function () {
      this.$router.push({
        name: 'search-index'
      });
    }
  },
  computed: {
    key() {
      return this.$route.path
    }
  }
}
</script>

<style scoped>
.search {
  width: 100%;
}

.search .search-input {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;

  width: 100%;
  height: 10vh;
  background: url("../../assets/search/search@1x.png") no-repeat 100% 100%;
  background-size: cover;
}

.search .search-input .custom-search2 {
  width: 90%;
}

.search .search-content {
  width: 100%;
  background: #FFFFFF;
  border-radius: 10px 10px 0px 0px;

  position: relative;
  top: -10px;
  z-index: 10;
}
</style>
